%define	name	jam
%define	version	2.5
%define	release 3mdk

Summary:	A replacement for make
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		Development/Other
Source0:	ftp://ftp.perforce.com/pub/jam/%{name}-%{version}.tar.bz2
Patch0:		%{name}-optflags.patch.bz2
Patch1:		%{name}-debian-fixes.patch.bz2
URL:		http://public.perforce.com/public/jam/index.html
Conflicts:	boost-jam
BuildRequires:	byacc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is the Jam/MR program as published by Perforce. 

A powerful and highly customizable utility to build programs
and other things, that can run on Un*x, Nt, VMS, OS/2 and
Macintosh MPW, using portable Jamfiles. It can build large
projects spread across many directories in one pass. 

It takes some time to fully apprehend, especially when one's
already accustomed to make(1), but there's no comparison in
power when comparing these 2 tools.

Standard rules: 
- can automatically extract header dependencies for C/C++ (you can
  customize for you own language) 
- provide for automatic "clean", "install", "uninstall" rules,
  so that an automake-like tool is not needed

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%make CC=%{__cc} CFLAGS="$RPM_OPT_FLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m755 bin.linux*/%{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__install} -m755 bin.linux*/mk%{name}base -D $RPM_BUILD_ROOT%{_bindir}/mk%{name}base

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.html README RELNOTES Porting
%defattr(755,root,root,755)
%{_bindir}/*%{name}*

%changelog
* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.5-3mdk
- rebuild

* Fri May 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5-2mdk
- fix conflict reported by Oliviers little gnome

* Wed May 07 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5-1mdk
- initial mdk release
